Debian Bug report logs - #686970
Inconsistent ipv6 handling of localhost in netbase and netcfg

version graph

Packages: netcfg, netbase; Maintainer for netcfg is Debian Install System Team <debian-boot@lists.debian.org>; Source for netcfg is src:netcfg. Maintainer for netbase is Marco d'Itri <md@linux.it>; Source for netbase is src:netbase.

Reported by: Christoph Berg <myon@debian.org>

Date: Fri, 7 Sep 2012 19:45:02 UTC

Severity: normal

Tags: d-i, ipv6

Fixed in version netcfg/1.93

Done: Philipp Kern <pkern@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#686970; Package netbase,netcfg. (Fri, 07 Sep 2012 19:45:04 GMT) Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Berg <myon@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Inconsistent ipv6 handling of localhost in netbase and netcfg
Date: Fri, 7 Sep 2012 21:44:12 +0200
[Message part 1 (text/plain, inline)]
Package: netbase,netcfg
Severity: normal
Tags: d-i ipv6

In #685362, a user complains that PostgreSQL doesn't listen on ipv6
localhost, unless he has "::1 localhost" in his /etc/hosts. I can
confirm that adding this fixes the problem for postgresql-9.1. Looking
through my systems, I'm seeing different defaults for "localhost". All
systems have

127.0.0.1	localhost

but then some have

::1     localhost ip6-localhost ip6-loopback

while some only have

::1     ip6-localhost ip6-loopback

Digging a bit further, I found that the "ipv6 localhost" variant is
installed by netbase's postinst:

create_hosts_file() {
  if [ -e /etc/hosts ]; then return 0; fi

    cat > /etc/hosts <<-EOF
            127.0.0.1       localhost
            ::1             localhost ip6-localhost ip6-loopback
[...]

And the "ipv4 only" variant is installed by netcfg's udeb:

#define IPV6_HOSTS \
"# The following lines are desirable for IPv6 capable hosts\n" \
"::1     ip6-localhost ip6-loopback\n" \

netcfg was actually using the "ipv6 localhost" variant until that got
reverted in 1.57, closing #595107.


I'm filing the bug on both netbase and netcfg so the maintainers can
make the behavior the same one way or the other.

From my point of view, localhost should be handled like any other
multi-homed host, that is, it should have both addresses. It might
have been different in 2010, wenn netcfg 1.57 was uploaded, but
nowadays applications really need to cope with ipv6 being present.

Christoph
-- 
cb@df7cb.de | http://www.df7cb.de/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#686970; Package netbase,netcfg. (Mon, 17 Sep 2012 21:27:10 GMT) Full text and rfc822 format available.

Message #6 received at 686970@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Christoph Berg <myon@debian.org>, 686970@bugs.debian.org
Subject: Re: Bug#686970: Inconsistent ipv6 handling of localhost in netbase and netcfg
Date: Mon, 17 Sep 2012 23:25:40 +0200
[Message part 1 (text/plain, inline)]
On Fri, Sep 07, 2012 at 09:44:12PM +0200, Christoph Berg wrote:
> From my point of view, localhost should be handled like any other
> multi-homed host, that is, it should have both addresses. It might
> have been different in 2010, wenn netcfg 1.57 was uploaded, but
> nowadays applications really need to cope with ipv6 being present.

True, but somehow I feel that freeze time is not the time to change this.
This should already affect stable?

Kind regards
Philipp Kern
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#686970; Package netbase,netcfg. (Mon, 17 Sep 2012 21:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>, Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 17 Sep 2012 21:33:03 GMT) Full text and rfc822 format available.

Message #11 received at 686970@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Philipp Kern <pkern@debian.org>, 686970@bugs.debian.org
Cc: Christoph Berg <myon@debian.org>
Subject: Re: Bug#686970: Inconsistent ipv6 handling of localhost in netbase and netcfg
Date: Mon, 17 Sep 2012 23:30:58 +0200
[Message part 1 (text/plain, inline)]
On Sep 17, Philipp Kern <pkern@debian.org> wrote:

> True, but somehow I feel that freeze time is not the time to change this.
I disagree, netcfg should be fixed. There is plenty of time to look at 
any fallback, and even reverting the change if needed.
This is 2012, Europe and Asia are out of IPv4 networks and we cannot 
afford substandard IPv6 support anymore.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#686970; Package netbase,netcfg. (Mon, 17 Sep 2012 21:45:09 GMT) Full text and rfc822 format available.

Message #14 received at 686970@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Marco d'Itri <md@Linux.IT>
Cc: 686970@bugs.debian.org, Christoph Berg <myon@debian.org>
Subject: Re: Bug#686970: Inconsistent ipv6 handling of localhost in netbase and netcfg
Date: Mon, 17 Sep 2012 23:41:29 +0200
[Message part 1 (text/plain, inline)]
On Mon, Sep 17, 2012 at 11:30:58PM +0200, Marco d'Itri wrote:
> On Sep 17, Philipp Kern <pkern@debian.org> wrote:
> > True, but somehow I feel that freeze time is not the time to change this.
> I disagree, netcfg should be fixed. There is plenty of time to look at 
> any fallback, and even reverting the change if needed.
> This is 2012, Europe and Asia are out of IPv4 networks and we cannot 
> afford substandard IPv6 support anymore.

It affects services listening on localhost. Not services connected to the
internetwork. I disagree that "there is plenty of time to look at any
fallback".

AIUI if one changes the listening host it will correctly listen on IPv4 and
IPv6 by default (if applicable).

If you are against substandard IPv6 support, you can test the upcoming d-i
daily. Possibly not the one of tonight but the next one. That should enable
IPv6 installation support for the first time.

Kind regards
Philipp Kern
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#686970; Package netbase,netcfg. (Tue, 18 Sep 2012 08:36:03 GMT) Full text and rfc822 format available.

Message #17 received at 686970@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Bjørn Mork <bjorn@mork.no>
Cc: 686970@bugs.debian.org, Marco d'Itri <md@Linux.IT>, Christoph Berg <myon@debian.org>
Subject: Re: Bug#686970: Inconsistent ipv6 handling of localhost in netbase and netcfg
Date: Tue, 18 Sep 2012 10:32:03 +0200
[Message part 1 (text/plain, inline)]
On Tue, Sep 18, 2012 at 10:25:06AM +0200, Bjørn Mork wrote:
> For example:
> 
>     bjorn@canardo:~$ grep localhost /etc/hosts
>     127.0.0.1       localhost
>     ::1     ip6-localhost ip6-loopback
> 
>     bjorn@canardo:~$ host localhost
>     localhost has address 127.0.0.1
>     localhost has IPv6 address ::1
>     bjorn@canardo:~$ host ::1
>     1.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.ip6.arpa domain name pointer localhost.
> 
> This is not good...  Which addresses will a service listening on
> "localhost" listen too?  Seems it depends on whether DNS is available or
> not.  Isn't that seriously buggy?

Well, if you redefine localhost on your local DNS server, that's what
you get…

Is there an RfC that regulates localhost's definition?

Kind regards
Philipp Kern
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#686970; Package netbase,netcfg. (Tue, 18 Sep 2012 08:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bjørn Mork <bjorn@mork.no>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>, Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 18 Sep 2012 08:39:06 GMT) Full text and rfc822 format available.

Message #22 received at 686970@bugs.debian.org (full text, mbox):

From: Bjørn Mork <bjorn@mork.no>
To: Philipp Kern <pkern@debian.org>
Cc: 686970@bugs.debian.org, "Marco d'Itri" <md@Linux.IT>, Christoph Berg <myon@debian.org>
Subject: Re: Bug#686970: Inconsistent ipv6 handling of localhost in netbase and netcfg
Date: Tue, 18 Sep 2012 10:25:06 +0200
Philipp Kern <pkern@debian.org> writes:
> On Mon, Sep 17, 2012 at 11:30:58PM +0200, Marco d'Itri wrote:
>> On Sep 17, Philipp Kern <pkern@debian.org> wrote:
>> > True, but somehow I feel that freeze time is not the time to change this.
>> I disagree, netcfg should be fixed. There is plenty of time to look at 
>> any fallback, and even reverting the change if needed.
>> This is 2012, Europe and Asia are out of IPv4 networks and we cannot 
>> afford substandard IPv6 support anymore.
>
> It affects services listening on localhost.

Well, those services are already affected in any case. Any bug triggered
by cleaning this up would already be triggered depending on DNS
availability.

/etc/hosts is not the primary source for names, and if you put anything
there then it should really, really not be some locally invented
mumbo-jumbo name.  That just creates inconsistencies between the
connected and unconnected system state and is not helpful at all.

For example:

    bjorn@canardo:~$ grep localhost /etc/hosts
    127.0.0.1       localhost
    ::1     ip6-localhost ip6-loopback

    bjorn@canardo:~$ host localhost
    localhost has address 127.0.0.1
    localhost has IPv6 address ::1
    bjorn@canardo:~$ host ::1
    1.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.ip6.arpa domain name pointer localhost.

This is not good...  Which addresses will a service listening on
"localhost" listen too?  Seems it depends on whether DNS is available or
not.  Isn't that seriously buggy?


Bjørn



Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#686970; Package netbase,netcfg. (Tue, 18 Sep 2012 09:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bjørn Mork <bjorn@mork.no>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>, Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 18 Sep 2012 09:03:03 GMT) Full text and rfc822 format available.

Message #27 received at 686970@bugs.debian.org (full text, mbox):

From: Bjørn Mork <bjorn@mork.no>
To: Philipp Kern <pkern@debian.org>
Cc: 686970@bugs.debian.org, "Marco d'Itri" <md@Linux.IT>, Christoph Berg <myon@debian.org>
Subject: Re: Bug#686970: Inconsistent ipv6 handling of localhost in netbase and netcfg
Date: Tue, 18 Sep 2012 10:59:04 +0200
Philipp Kern <pkern@debian.org> writes:
> On Tue, Sep 18, 2012 at 10:25:06AM +0200, Bjørn Mork wrote:
>> For example:
>> 
>>     bjorn@canardo:~$ grep localhost /etc/hosts
>>     127.0.0.1       localhost
>>     ::1     ip6-localhost ip6-loopback
>> 
>>     bjorn@canardo:~$ host localhost
>>     localhost has address 127.0.0.1
>>     localhost has IPv6 address ::1
>>     bjorn@canardo:~$ host ::1
>>     1.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.ip6.arpa domain name pointer localhost.
>> 
>> This is not good...  Which addresses will a service listening on
>> "localhost" listen too?  Seems it depends on whether DNS is available or
>> not.  Isn't that seriously buggy?
>
> Well, if you redefine localhost on your local DNS server, that's what
> you get…

Well, the debian bind9 package ships with zone "localhost" pointing to:

;
; BIND data file for local loopback interface
;
$TTL    604800
@       IN      SOA     localhost. root.localhost. (
                              2         ; Serial
                         604800         ; Refresh
                          86400         ; Retry
                        2419200         ; Expire
                         604800 )       ; Negative Cache TTL
;
@       IN      NS      localhost.
@       IN      A       127.0.0.1
@       IN      AAAA    ::1


So you should expect that...


> Is there an RfC that regulates localhost's definition?

There are plenty of them.  As usual that does not help as much as if
there had been ONE.   You may choose to use RFC 2606 strictly, saying
that the AAAA record above is wrong.

RFC 6303 (BCP 163) is rather explicit about *not* stating any default
name for 1.0.0.127.in-addr.arpa or
1.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.ip6.arpa

<quote>
   a meaningful reverse
   mapping should exist, but the exact setup is out of the scope of this
   document
</quote>


No, I didn't get any wiser. Except that I now am pretty convinced that
no service should listen to "localhost".  They should explictly choose
127.0.0.1 and/or ::1


Bjørn



Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#686970; Package netbase,netcfg. (Tue, 18 Sep 2012 09:09:02 GMT) Full text and rfc822 format available.

Message #30 received at 686970@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Bjørn Mork <bjorn@mork.no>
Cc: 686970@bugs.debian.org, Marco d'Itri <md@Linux.IT>, Christoph Berg <myon@debian.org>
Subject: Re: Bug#686970: Inconsistent ipv6 handling of localhost in netbase and netcfg
Date: Tue, 18 Sep 2012 11:05:25 +0200
[Message part 1 (text/plain, inline)]
On Tue, Sep 18, 2012 at 10:59:04AM +0200, Bjørn Mork wrote:
> No, I didn't get any wiser. Except that I now am pretty convinced that
> no service should listen to "localhost".  They should explictly choose
> 127.0.0.1 and/or ::1

AIUI the point is to listen to both and hence the (or a?) record should
return both.

Kind regards
Philipp Kern
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#686970; Package netbase,netcfg. (Mon, 24 Sep 2012 08:09:06 GMT) Full text and rfc822 format available.

Message #33 received at 686970@bugs.debian.org (full text, mbox):

From: Christoph Berg <myon@debian.org>
To: Philipp Kern <pkern@debian.org>
Cc: Bjørn Mork <bjorn@mork.no>, 686970@bugs.debian.org, Marco d'Itri <md@Linux.IT>
Subject: Re: Bug#686970: Inconsistent ipv6 handling of localhost in netbase and netcfg
Date: Mon, 24 Sep 2012 10:08:08 +0200
[Message part 1 (text/plain, inline)]
Re: Philipp Kern 2012-09-18 <20120918090525.GA371@spike.0x539.de>
> On Tue, Sep 18, 2012 at 10:59:04AM +0200, Bjørn Mork wrote:
> > No, I didn't get any wiser. Except that I now am pretty convinced that
> > no service should listen to "localhost".  They should explictly choose
> > 127.0.0.1 and/or ::1
> 
> AIUI the point is to listen to both and hence the (or a?) record should
> return both.

Nod.

Fwiw, I don't really care which way it gets fixed - we'd need someone
to decide which is the "right" setup so we can refer people to that
when they complain about services (not) listening on ::1.

Given that DNS seems to tend to resolve localhost to both 127.0.0.1
and ::1, I guess the proper solution would be to put the same in to
/etc/hosts.

Re wheezy, as we are shipping both versions, there's not a real
argument against changing one of them to match the other one. (Except
maybe that the netcfg one is triggered more often.)

How that relates to net.ipv6.bindv6only is then another interesting
question...

Christoph
-- 
cb@df7cb.de | http://www.df7cb.de/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#686970; Package netbase,netcfg. (Mon, 24 Sep 2012 08:51:03 GMT) Full text and rfc822 format available.

Message #36 received at 686970@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Christoph Berg <myon@debian.org>, Bjørn Mork <bjorn@mork.no>, 686970@bugs.debian.org, Marco d'Itri <md@Linux.IT>
Subject: Re: Bug#686970: Inconsistent ipv6 handling of localhost in netbase and netcfg
Date: Mon, 24 Sep 2012 10:48:44 +0200
[Message part 1 (text/plain, inline)]
On Mon, Sep 24, 2012 at 10:08:08AM +0200, Christoph Berg wrote:
> Given that DNS seems to tend to resolve localhost to both 127.0.0.1
> and ::1, I guess the proper solution would be to put the same in to
> /etc/hosts.

DNS does not resolve localhost in most instances I tried (or to just
127.0.0.1).  (All those DNS servers who don't carry that zone locally just
NXDOMAIN it because that's what the root servers say. It's in /etc/hosts for
everyone so DNS seems to have decided to not carry the record.)

> Re wheezy, as we are shipping both versions, there's not a real
> argument against changing one of them to match the other one. (Except
> maybe that the netcfg one is triggered more often.)

Yeah, that's also my problem. I cannot judge easily if the net-base one got
triggered more often in the past and we could hence consider it as tested. My
guess is, too, that the netcfg definition is mostly used.

Kind regards
Philipp Kern
[signature.asc (application/pgp-signature, inline)]

Reply sent to Philipp Kern <pkern@debian.org>:
You have taken responsibility. (Mon, 24 Sep 2012 22:21:06 GMT) Full text and rfc822 format available.

Notification sent to Christoph Berg <myon@debian.org>:
Bug acknowledged by developer. (Mon, 24 Sep 2012 22:21:06 GMT) Full text and rfc822 format available.

Message #41 received at 686970-close@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: 686970-close@bugs.debian.org
Subject: Bug#686970: fixed in netcfg 1.93
Date: Mon, 24 Sep 2012 22:17:43 +0000
Source: netcfg
Source-Version: 1.93

We believe that the bug you reported is fixed in the latest version of
netcfg, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 686970@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Philipp Kern <pkern@debian.org> (supplier of updated netcfg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 25 Sep 2012 00:12:50 +0200
Source: netcfg
Binary: netcfg netcfg-static
Architecture: source amd64
Version: 1.93
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Philipp Kern <pkern@debian.org>
Description: 
 netcfg     - Configure the network (udeb)
 netcfg-static - Configure a static network (udeb)
Closes: 686970 688470
Changes: 
 netcfg (1.93) unstable; urgency=low
 .
   [ Philipp Kern ]
   * Check the return code of the waitpid calls found in various cleanup
     routines. (Closes: #688470)
   * Align netcfg's generation of /etc/hosts with netbase's postinst,
     i.e. add localhost mapping to ::1 as well as 127.0.0.1.
     (Closes: #686970)
 .
   [ Updated translations ]
   * Spanish (es.po) by Javier Fernández-Sanguino Peña
   * French (fr.po) by Christian Perrier
   * Indonesian (id.po) by Arief S Fitrianto
   * Korean (ko.po) by Changwoo Ryu
   * Macedonian (mk.po) by Arangel Angov
   * Malayalam (ml.po) by Anish A
   * Romanian (ro.po) by Andrei POPESCU
   * Vietnamese (vi.po) by Hai-Nam Nguyen
   * Simplified Chinese (zh_CN.po) by YunQiang Su
   * Traditional Chinese (zh_TW.po) by V字龍 | Vdragon
Checksums-Sha1: 
 ed95b3921381816cb7b03939aac64f07161f4ae2 1478 netcfg_1.93.dsc
 cff5381da93e093aa9c0b3296051446f8452da8d 740772 netcfg_1.93.tar.gz
 b64e30dd27d97d18639f4b41fa966f4b325f471b 397812 netcfg_1.93_amd64.udeb
 5f102aea4ef2e6b08c182c248629cda438fbd5ed 309370 netcfg-static_1.93_amd64.udeb
Checksums-Sha256: 
 28d241e91e1c325cf0961cc54e6c1d52892621dd901ee2e9b560fb3171ec40b9 1478 netcfg_1.93.dsc
 fbe00afbe86e1a73eb2bd721e0a63e659223dd16ba96aa6ffe4dcffa62704471 740772 netcfg_1.93.tar.gz
 da4a50b6500d14bcdbe2664d57e0a825443ea70f4a157164077ada5d0433f3ff 397812 netcfg_1.93_amd64.udeb
 f0bd48c063bf26cb05b2e969e359476b7ddaac45e50d39da886706d57b4195f5 309370 netcfg-static_1.93_amd64.udeb
Files: 
 6c25d430fc95841239ed78a6c5c882d9 1478 debian-installer optional netcfg_1.93.dsc
 e3dfd897de77c37b77077798ecc2e6fe 740772 debian-installer optional netcfg_1.93.tar.gz
 25e50f2a7ff1fe8e59c9982ec29d603e 397812 debian-installer optional netcfg_1.93_amd64.udeb
 b9790851019128ee3cc5f25720fe916e 309370 debian-installer optional netcfg-static_1.93_amd64.udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQEcBAEBCAAGBQJQYNr0AAoJEERuJUU10FbsMqAH/1v5Ptv17uTEZt3So/4mpu1P
pY5AwpQCvTmDg/V+Lni9CXf5ZWrNh5cy6Nj/osACSpQtwfTE5LAmnfy7ttCe59aP
UySTBtT5S4FdorDMWBF7p6KwO92rKsz4RsAk/TRcOwIxGXisHQkI9g+xeXTg8MI2
3GV0tUjTBqxXm28qrgZopwmwhLQN1bI+5BAXVsYZ42PkDBj8bDUG7NZpyN3E/z14
o/wL6sdK+N5FiYoDYaW3qs/zX3YsduMymqM3XWPf8qsGUxCe89EirtnrXn6zqya0
YaZ2oStkQ+3af3JA3At9U108PLq374XihEtFHp3xVALQcyBjzxOSupI/N5ShY9k=
=LOqE
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 23 Oct 2012 07:29:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 17:00:22 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.